EDIT - bug #8520

Adding new user Group fails
09/05/2019 03:47 PM - Andreas Kohlbecker

Status: Rejected Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: taxeditor Estimated time: 0:00 hour

Target version:

Severity: critical Found in Version:

Description
| attempted to created the Group "User Manager", this failed with the following exception:

login : admin
editor version : 5.9.1
server : api.phycobank.org (phycobank) / phycobank
schema version : 5.8.2.0.20190815
os : Linux 4.15.0-58-generic amdé64
java : 1.8.0_131
org.eclipse.ed.core.di.InjectionException: javax.validation.ConstraintViolationException: Validati
on failed for classes [eu.etaxonomy.cdm.model.permission.Group] during persist time for groups [Jja
vax.validation.groups.Default, ]
List of constraint violations: |
ConstraintViolationImpl{interpolatedMessage='must match "[A-Za-z0-9_\.\-]1+"', propertyPath=nam
e, rootBeanClass=class eu.etaxonomy.cdm.model.permission.Group, messageTemplate='{javax.validation
.constraints.Pattern.message}'}
]
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:65)
at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
at org.eclipse.ed4.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:247)
at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:90

at org.eclipse.ed.ui.internal.workbench.PartServiceSaveHandler.save (PartServiceSaveHandler. jav
a:57)

at org.eclipse.ui.internal.WorkbenchWindow$7.save (WorkbenchWindow. java:594)

at org.eclipse.ed.ui.internal.workbench.PartServiceImpl.savePart (PartServiceImpl. java:1390)

at eu.etaxonomy.taxeditor.workbench.SaveHandler.execute (SaveHandler. java:42)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:264)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:13

at org.eclipse.e4d.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. j
ava:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:
488)

at org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl.
java:210)

at org.eclipse.e4d.ui.bindings.keys.KeyBindingDispatcher.executeCommand (KeyBindingDispatcher. ja
va:286)

at org.eclipse.ed.ui.bindings.keys.KeyBindingDispatcher.press (KeyBindingDispatcher. java:507)

at org.eclipse.e4d.ui.bindings.keys.KeyBindingDispatcher.processKeyEvent (KeyBindingDispatcher.j
ava:558)

at org.eclipse.e4.ui.bindings.keys.KeyBindingDispatcher.filterKeySequenceBindings (KeyBindingDi
spatcher. java:378)

at org.eclipse.ed.ui.bindings.keys.KeyBindingDispatcher.access$0 (KeyBindingDispatcher. java:324
ed.ui.bindings.keys.KeyBindingDispatcher$KeyDownFilter.handleEvent (KeyBindingDi

swt.widgets.EventTable.sendEvent (EventTable. java:84)
swt.widgets.Display.filterEvent (Display.java:1605)
swt.widgets.Widget.sendEvent (Widget.java:1339)
swt.widgets.Widget.sendEvent (Widget.java:1366)
swt.widgets.Widget.sendEvent (Widget.java:1349)
swt.widgets.Widget.sendKeyEvent (Widget.java:1378)
swt.widgets.Widget.gtk_key_press_event (Widget. java:764)
swt.widgets.Control.gtk_key_press_event (Control. java:3465)
swt.widgets.Composite.gtk_key_press_event (Composite.java:801)
swt.widgets.Widget.windowProc (Widget.java:2000)
swt.widgets.Control.windowProc (Control.java:5827)
swt.widgets.Display.windowProc (Display.java:5498)
swt.internal.gtk.O0S._gtk_main_do_event (Native Method)
swt.internal.gtk.0S.gtk_main_do_event (0S.java:9545)
swt.widgets.Display.eventProc (Display.java:1275)
swt.internal.gtk.0S._g_main_context_iteration (Native Method)
swt.internal.gtk.0S.g_main_context_iteration (0S. java:2495)
swt.widgets.Display.readAndDispatch (Display. java:4149)
ed4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java

core.databinding.observable.Realm.runWithDefault (Realm. java:336)
e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:l

ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
ui.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)

org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
Caused
reflect

core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc

core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:

core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter. java:243)

.NativeMethodAccessorImpl.invokeO (Native Method)
.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method. invoke (Method. java:498)

org.
org.
org.
org.

by:

eclipse.
eclipse.
eclipse.
eclipse.

equinox.launcher.Main.invokeFramework (Main. java:673)
equinox.launcher.Main.basicRun (Main.java:610)
equinox.launcher.Main.run (Main. java:1519)
equinox.launcher.Main.main (Main. java:1492)

javax.validation.ConstraintViolationException: Validation failed for classes [eu.etaxon

omy.cdm.model.permission.Group] during persist time for groups [javax.validation.groups.Default, ]

List of constraint violations: [

ConstraintViolationImpl{interpolatedMessage="'must match "[A-Za-z0-9_\.\-]1+"', propertyPath=nam
e, rootBeanClass=class eu.etaxonomy.cdm.model.permission.Group, messageTemplate="'{javax.validation
.constraints.Pattern.message}'}

]

at org.hibernate.cfg.beanvalidation.BeanValidationEventListener.validate (BeanValidationEventLi

stener. java:138)

at org.hibernate.cfg.beanvalidation.BeanValidationEventListener.onPrelnsert (BeanValidationEven

tListener.java:78)

at
at
at
at
at

org
.hibernate.action.internal.EntityInsertAction.prelnsert (EntityInsertAction. java:205)
org.

hibernate.action.internal.EntityInsertAction.execute (EntityInsertAction. java:82)
hibernate.engine.spi.ActionQueue.executeActions (ActionQueue. java:560)
hibernate.engine.spi.ActionQueue.executeActions (ActionQueue. java:434)

hibernate.event.internal.AbstractFlushingEventListener.performExecutions (AbstractFlushi

ngEventListener. java:337)

at
va:39)
at
at

org.hibernate.event.internal.DefaultFlushEventListener.onFlush (DefaultFlushEventListener. ja

org.hibernate.internal.SessionImpl.flush (SessionImpl. java:1282)
org.hibernate.internal.SessionImpl.managedFlush (SessionImpl. java:465)

04/17/2024

2/5




at org.hibernate.internal.SessionImpl.flushBeforeTransactionCompletion (SessionImpl. java:2963)

at org.hibernate.internal.SessionImpl.beforeTransactionCompletion (SessionImpl. java:2339)

at org.hibernate.engine. jdbc.internal.JdbcCoordinatorImpl.beforeTransactionCompletion (JdbcCoor
dinatorImpl. java:485)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl.beforeCompletionCallback (JdbcResourcelLocalTransactionCoordinatorImpl. java:147)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl.access$100 (JdbcResourcelLocalTransactionCoordinatorImpl. java:38)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl$TransactionDriverControlImpl.commit (JdbcResourceLocalTransactionCoordinatorImpl. java:231
)

at org.hibernate.engine.transaction.internal.TransactionImpl.commit (TransactionImpl. java:65)

at org.springframework.orm.hibernate5.HibernateTransactionManager.doCommit (HibernateTransactio
nManager. java:581)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit (Ab
stractPlatformTransactionManager. java:761)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (AbstractP
latformTransactionManager. java:730)

at org.springframework.transaction.interceptor.TransactionAspectSupport.commitTransactionAfter
Returning (TransactionAspectSupport.java:485)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:291)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxyl89.merge (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting.support.RemoteInvocationTracelnterceptor.invoke (RemoteInvocati
onTraceInterceptor. java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy299.merge (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation. java:212)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (DefaultRemotelIn
vocationExecutor. java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB
asedExporter. java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (Re
moteInvocationBasedExporter.java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvok
erServiceExporter. java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdap
ter.java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet.java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet.java:969)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:871)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1669)
security.web.session.SessionManagementFilter.doFilter (SessionManagement
.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte

r (SecurityContextHolderAwareRequestFilter.java:169)

at org.springframework
AwareFilter. java:48)
.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
.security.web.authentication.www.BasicAuthenticationFilter.doFilterInter
security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
security.web.FilterChainProxyS$VirtualFilterChain.doFilter (FilterChainPr
security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.context.SecurityContextPersistenceFilter.doFilter (Security

ContextPersistenceFilter. java:91)
springframework.

.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21

security.web.FilterChainProxy.doFilter (FilterChainProxy. java:176)
web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy. j

web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:26

eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)

.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi

.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
servlet.ServletHandler.doHandle (ServletHandler. java:585)
server.handler.ScopedHandler.handle (ScopedHandler. java:143)
security.SecurityHandler.handle (SecurityHandler. java:577)
server.session.SessionHandler.doHandle (SessionHandler. java:223)
server.handler.ContextHandler.doHandle (ContextHandler.java:1127)
servlet.ServletHandler.doScope (ServletHandler. java:515)
server.session.SessionHandler.doScope (SessionHandler. java:185)
server.handler.ContextHandler.doScope (ContextHandler.java:1061)
at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollection.j
ava:215)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper. java:97)

at org.eclipse.jetty.server.Server.handle (Server. java:497)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:310)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

at org.eclipse.jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)

at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

at java.lang.Thread.run (Thread. java:748)

at org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible
(RemoteInvocationUtils. java:45)

at org.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult
.Java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemoteInvocation
Result (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor. java:150)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy49.merge (Unknown Source)

at eu.etaxonomy.taxeditor.bulkeditor.input.AbstractBulkEditorInput.saveModel (AbstractBulkEdito
rInput.java:361)

at eu.etaxonomy.taxeditor.bulkeditor.input.GroupEditorInput.saveModel (GroupEditorInput. java:11l
8)

at eu.etaxonomy.taxeditor.bulkeditor.ed4.BulkEditorE4.save (BulkEditorE4.java:126)

at eu.etaxonomy.taxeditor.bulkeditor.ed4.BulkEditorE4.save (BulkEditorE4.java:119)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

65 more

History

#1 - 09/05/2019 10:16 PM - Andreas Miiller
- Status changed from New to Feedback

- Assignee changed from Andreas Miller to Andreas Kohlbecker

Isn't it self-explaining: "must match "[A-Za-z0-9_.-]+"?

As discussed we have a rule since 5.9 that usernames and group names must match this regex. Names with whitespace are error prone and
therefore are not supported. Suggest to close as rejected or worksforme .

#2 - 09/06/2019 11:01 AM - Andreas Kohlbecker
- Status changed from Feedback to Rejected

Ticket rejected.

#3 - 10/11/2021 09:51 PM - Andreas Miiller
- Target version deleted (Unassigned CDM tickets)
https://dev.e-taxonomy.eu/redmine/issues/8454
https://dev.e-taxonomy.eu/redmine/issues/8470
http://www.tcpdf.org

